Search the knowledge and get passages with their Sources (optional assistantId narrows to that Assistant)
POST
/api/v1/knowledge/searchRequires an Organization API key with the member capability.
Authorization
apiKey AuthorizationBearer <token>
In: header
Request Body
application/json
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/knowledge/search" \ -H "Content-Type: application/json" \ -d '{ "query": "string" }'{ "query": "string", "assistantId": null, "results": [ { "rank": 0, "content": "string", "documentId": "string", "documentTitle": "string", "sourceId": null, "sourceName": null, "collectionName": "string", "url": null, "score": 0 } ]}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}